boot stalls on USB detection errors

Bug #1437492 reported by Fred on 2015-03-27
156
This bug affects 32 people
Affects Status Importance Assigned to Milestone
linux (Debian)
New
Unknown
linux (Ubuntu)
Medium
Unassigned
Vivid
Undecided
Tim Gardner
Wily
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Medium
Unassigned

Bug Description

My system boots slow. I investigated this and it seems systemd-udev-settle.service is the culprit.
My system runs ext4 with GPT on UEFI.
I do not use encryption or LVM.

$ journalctl -u systemd-udev-settle
-- Logs begin at fri 2015-03-27 19:03:06 CET, end at fri 2015-03-27 22:06:32 CET. --
mar 27 19:03:42 hostname systemd[1]: Started udev Wait for Complete Device Initialization.

$ systemd-analyze
Startup finished in 14.865s (firmware) + 11.133s (loader) + 6.127s (kernel) + 42.079s (userspace) = 1min 14.206s

$ systemd-analyze critical-chain
http://paste.ubuntu.com/10691416/

$ systemd-analyze blame
36.013s systemd-udev-settle.service
http://paste.ubuntu.com/10691314/

$ systemctl show systemd-udev-settle.service -p RequiredBy
RequiredBy=

$ systemctl show systemd-udev-settle.service -p WantedBy
WantedBy=friendly-recovery.service

$ systemd-analyze plot > boot.svg
http://imgh.us/boot_1.svg

$ systemd-analyze dump
http://paste.ubuntu.com/10691856/

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: systemd 219-5ubuntu1
ProcVersionSignature: Ubuntu 3.19.0-10.10-generic 3.19.2
Uname: Linux 3.19.0-10-generic x86_64
ApportVersion: 2.16.2-0ubuntu5
Architecture: amd64
CurrentDesktop: GNOME-Flashback:Unity
Date: Fri Mar 27 22:05:28 2015
InstallationDate: Installed on 2013-12-26 (455 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: ASUS All Series
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.19.0-10-generic.efi.signed root=UUID=31dc4488-28d4-4d2a-aa51-6733e237d5f8 ro quiet splash vt.handoff=7
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/18/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2103
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Z87-PRO
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2103:bd08/18/2014:svnASUS:pnAllSeries:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnZ87-PRO:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: All Series
dmi.product.version: System Version
dmi.sys.vendor: ASUS

Fred (eldmannen+launchpad) wrote :
description: updated
description: updated
description: updated
Martin Pitt (pitti) wrote :

The kernel log shows huge gaps in device detection, apparently the hardware gets locked up during USB detection/enumeration?

[ 7.292422] input: HDA Intel HDMI HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:03.0/sound/card0/input16
[ 10.918992] usb 1-3: device descriptor read/all, error -110
[ 11.031084] usb 1-3: new high-speed USB device number 3 using xhci_hcd
[ 21.173998] usb 1-3: device descriptor read/all, error -110
[ 21.286076] usb 1-3: new high-speed USB device number 4 using xhci_hcd
[ 26.309502] usb 1-3: device descriptor read/8, error -110
[ 31.436986] usb 1-3: device descriptor read/8, error -110
[ 31.653231] usb 1-3: new high-speed USB device number 5 using xhci_hcd
[ 36.676659] usb 1-3: device descriptor read/8, error -110
[ 41.804074] usb 1-3: device descriptor read/8, error -110
[ 41.908224] usb usb1-port3: unable to enumerate USB device
[ 42.020384] usb 1-9: new low-speed USB device number 6 using xhci_hcd

Could you try disconnecting as many USB devices as possible, see whether that helps, and then re-connect them one by one to see which one is the culprit? This might be a hardware or kernel bug, I don't know yet.

no longer affects: friendly-recovery (Ubuntu)
affects: systemd (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Incomplete
summary: - systemd-udev-settle stalls booting
+ boot stalls on USB detection errors
Changed in linux (Ubuntu):
importance: Undecided → Medium
Fred (eldmannen+launchpad) wrote :

I disconnected *all* my USB peripherals (which was both my mouse and keyboard). The boot is still slow.

$ systemd-analyze
Startup finished in 14.697s (firmware) + 11.224s (loader) + 6.121s (kernel) + 44.182s (userspace) = 1min 16.225s

$ systemd-analyze blame
35.463s systemd-udev-settle.service

Martin Pitt (pitti) wrote :

OK, so if that didn't help it looks like trouble with an internal USB device. Could you add "debug" to the "linux" line in the grub boot menu, boot with that, and then attach the output of "journalctl -ab" here? Thanks!

Fred (eldmannen+launchpad) wrote :

journal as requested

Martin Pitt (pitti) wrote :

Thanks. So this keeps looping on

apr 09 01:41:57 hostname kernel: usb 1-3: new high-speed USB device number 2 using xhci_hcd
apr 09 01:41:57 hostname kernel: usb 1-3: device descriptor read/all, error -110

but doesn't say which kind of device that is as it can't talk to it.

Is this a regression in 15.04? You have upgraded this machine for a long time, so you might still have some older kernels around (from 14.04 LTS or 14.10). You might try booting those from the GRUB boot menu and see if that helps?

Changed in linux (Ubuntu):
status: Incomplete → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Fred (eldmannen+launchpad) wrote :

I don't have any old kernels around.
Yes, I believe this to be a regression, since I don't recall having this slow boot long time ago.

Interestingly GRUB to LightDM with systemd is 45 seconds.
While GRUB to LightDM with upstart is 10 seconds (then I have to wait about half a minute for the USB devices to get initialised)

$ lsusb
Bus 004 Device 002: ID 8087:8000 Intel Corp.
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 8087:8008 Intel Corp.
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 174c:3074 ASMedia Technology Inc.
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 006: ID 045e:0047 Microsoft Corp. IntelliMouse Explorer 3.0
Bus 001 Device 007: ID 046d:c313 Logitech, Inc. Internet 350 Keyboard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ lsusb -s 1
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Since the slow delayed boot remained even after plugging out my USB keyboard and USB mouse, it seems the culprit is the internal USB hub on the Intel Z87 (Haswell) chipset.

Ioannis Vranos (cppdeveloper) wrote :

I have the sane bug, "error -110" USB error messages, and when I reboot, the computer's UEFI initialisation during boot, at the USB device stage, is very slow.

The problem gets fixed temporarily, if you unplug the computer from the power socket (or turn off the power switch, at the back of the computer), and leave it off until the motherboard loses all its power.

It looks like it is some kernel 3.19 bug with USB ports. Some USB ports remain powered on, if you shutdown the computer, for charging devices, etc.

If you remove the power plug, all USB ports turn off, so the issue gets fixed, until the issue reappears at some random tie, when the kernel gets loaded again.

The issue does not exist with buntus 14.04/14.04.2, and 14.10.

Ioannis Vranos (cppdeveloper) wrote :

I have the sane bug= I have the same bug

Ioannis Vranos (cppdeveloper) wrote :

My post with all my typos fixed:

I have the same bug, "error -110" USB error messages, and when I reboot, the computer's UEFI initialisation during boot, at the USB device stage, is very slow.

The problem gets fixed temporarily, if you unplug the computer from the power socket (or turn off the power switch, at the back of the computer), and leave it off until the motherboard loses all its power.

It looks like it is some kernel 3.19 bug with USB ports. Some USB ports remain powered on, if you shutdown the computer, for charging devices, etc.

If you remove the power plug, all USB ports turn off, so the issue gets fixed, until the issue reappears at some random time, when the kernel gets loaded again.

The issue does not exist with *buntu 14.04/14.04.2, and 14.10.

Ioannis Vranos (cppdeveloper) wrote :

Or it may be some systemd bug.

It is definitely an *buntu 15.04 issue.

As I said, the workaround is to remove the computer's power cord from the power socket, until the motherboard loses all its power.

Ioannis Vranos (cppdeveloper) wrote :

I think the issue with USB error messages, "error -110", was fixed with the last kernel update (kernel 3.19.0-18.18).

Fred (eldmannen+launchpad) wrote :

$ systemd-analyze
Startup finished in 8.835s (firmware) + 6.535s (loader) + 6.107s (kernel) + 9.169s (userspace) = 30.647s

$ systemd-analyze blame
          6.703s NetworkManager-wait-online.service

30s vs 1m14s

Yeah, this bug seems to have been fixed.

Martin Pitt (pitti) on 2015-05-23
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Fred (eldmannen+launchpad) wrote :

$ systemd-analyze blame
36.048s systemd-udev-settle.service

No, I guess I still have this problem. :(

Fred (eldmannen+launchpad) wrote :

Masking the service makes the system boot faster and LightDM gets shown quickly:
$ systemctl mask systemd-udev-settle

However, then at LightDM I can't use my keyboard and mouse, and have to wait 30 more seconds, then I can use them.

Ioannis Vranos (cppdeveloper) wrote :

The issue still exists in some form.

Usually if one or more USB error messages appear, and you wait, they disappear now, and the boot proceeds ok.

Sometimes however, like if you press a keyboard button before they disappear, the issue remains.

saksmlz (saksmlz) wrote :

I still have some issue:

[ 2.236523] EXT4-fs (sda4): mounted filesystem with ordered data mode. Opts: (null)
[ 2.545462] Switched to clocksource tsc
[ 2.827232] scsi 0:0:0:0: Direct-Access APPLE SD Card Reader 3.00 PQ: 0 ANSI: 6
[ 2.827475] sd 0:0:0:0: Attached scsi generic sg1 type 0
[ 2.828228] sd 0:0:0:0: [sdb] Attached SCSI removable disk
[ 11.645420] usb 1-3: New USB device found, idVendor=0a5c, idProduct=4500
[ 11.645423] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 11.645425] usb 1-3: Product: BRCM20702 Hub

I never experienced any slow-boot problems before on the same hardware on 14.10. Just upgraded to 15.04 today and boot time increased significantly.

saksmlz (saksmlz) wrote :

just tried older kernel (Linux 3.16.0-39-generic):

[ 2.566599] ACPI: Battery Slot [BAT0] (battery present)
[ 3.234348] usb 1-3: new full-speed USB device number 2 using xhci_hcd
[ 3.363336] usb 1-3: New USB device found, idVendor=0a5c, idProduct=4500
[ 3.363338] usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0

So looks like kernel problem. Any thoughts about this issue?

Jörg (joerg-niemoeller) wrote :

Hi,

I guess the bug is not fixed. I am running:
Linux marvin 3.19.0-22-generic #22-Ubuntu SMP Tue Jun 16 17:15:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

according to the fix above, this was supposed to be corrected in version 3.19.0-18, but I still have it in 3.19.0-22 and if I remember correctly, I always had this problem since I changed to ubuntu 15.04.

systemd-analyze blame

          31.344s systemd-udev-settle.service
          8.823s NetworkManager-wait-online.service
          1.067s apache2.service
          1.010s mysql.service
          ...

in dmesg there is the following:
...
[ +9,483979] usb 1-3: device descriptor read/all, error -110
[ +0,111858] usb 1-3: new high-speed USB device number 4 using xhci_hcd
[ +5,010165] usb 1-3: device descriptor read/8, error -110
[ +5,114042] usb 1-3: device descriptor read/8, error -110
[ +0,215734] usb 1-3: new high-speed USB device number 5 using xhci_hcd
[ +5,010240] usb 1-3: device descriptor read/8, error -110
[ +5,114036] usb 1-3: device descriptor read/8, error -110
[ +0,103806] usb usb1-port3: unable to enumerate USB device
[ +0,111860] usb 1-9: new full-speed USB device number 6 using xhci_hcd
[ +0,130236] usb 1-9: New USB device found, idVendor=046d, idProduct=c52b
[ +0,000012] usb 1-9: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ +0,000001] usb 1-9: Product: USB Receiver
[ +0,000001] usb 1-9: Manufacturer: Logitech
...

The mainboard providing the USB ports is an ASUS Z87-Expert

Will this issue be re-opened, becasue it seems that it not only affects me.

best regards, Jörg

Fred (eldmannen+launchpad) wrote :

Yes, and this bug is still in 15.10-daily with kernel 4.0.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Luc Bruninx (luc2005) wrote :
Download full text (8.3 KiB)

Same problem on ASUS Z97-WS after upgrading Ubuntu 14.10 to 15.04:

uname:
         Linux 3.19.0-22-generic #22-Ubuntu SMP Tue Jun 16 17:15:15 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

systemd-analyze:
         Startup finished in 2.077s (kernel) + 45.086s (userspace) = 47.164s

systemd-analyze blame:
         39.863s systemd-udev-settle.service

lsusb:
Bus 006 Device 002: ID 8087:8001 Intel Corp.
Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 8087:8009 Intel Corp.
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 004: ID 174c:3074 ASMedia Technology Inc.
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 008: ID 0557:2213 ATEN International Co., Ltd CS682 2-Port USB 2.0 DVI KVM Switch
Bus 001 Device 007: ID 0557:8021 ATEN International Co., Ltd
Bus 001 Device 006: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

lsusb -s 1
Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

dmesg log (usb filtered):
[ 0.283460] ACPI: bus type USB registered
[ 0.283470] usbcore: registered new interface driver usbfs
[ 0.283476] usbcore: registered new interface driver hub
[ 0.283489] usbcore: registered new device driver usb
[ 0.547961] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[ 0.548096] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.548111] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.548128] usb usb1: Product: xHCI Host Controller
[ 0.548139] usb usb1: Manufacturer: Linux 3.19.0-22-generic xhci-hcd
[ 0.548154] usb usb1: SerialNumber: 0000:00:14.0
[ 0.548227] hub 1-0:1.0: USB hub found
[ 0.549410] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[ 0.549450] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[ 0.549465] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.549482] usb usb2: Product: xHCI Host Controller
[ 0.549493] usb usb2: Manufacturer: Linux 3.19.0-22-generic xhci-hcd
[ 0.549508] usb usb2: SerialNumber: 0000:00:14.0
[ 0.549572] hub 2-0:1.0: USB hub found
[ 0.550080] xhci_hcd 0000:10:00.0: new USB bus registered, assigned bus number 3
[ 0.610642] usb usb3: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.610659] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.610675] usb usb3: Product: xHCI Host Controller
[ 0.610687] usb usb3: Manufacturer: Linux 3.19.0-22-generic xhci-hcd
[ 0.610701] usb usb3: SerialNumber: 0000:10:00.0
[ 0.610780] hub 3-0:1.0: USB hub found
[ 0.610861] xhci_hcd 0000:10:00.0: new USB bus registered, assign...

Read more...

Jeff (jdgspam4me) wrote :
Download full text (10.0 KiB)

Ubuntu 15.04 - Not just slow, also doesn't recognize one of the USB devices....
Similar to what others reported, except after usb errors and insanely slow boot time, my Kinesis Advantage PRO MPC/USB Keyboard (which has a USB hub) doesn't work. The lsusb output shows that the hub is recognized, but the keyboard is not.
After boot, I have to unplug the keyboard, wait a few seconds, then plug in the keyboard again in order for it to be recognized.

Motherboard is similar to others affected in this bug, ASUS Z87 series
[ 0.000000] DMI: ASUS All Series/SABERTOOTH Z87, BIOS 2103 08/18/2014

Below is usb information from the following circumstances:

1. 'dmesg|grep -i usb' Immediately after boot completed
2. 'lsusb' Immediately after boot completed
3. Unplug Kinesis keyboard, additional output from 'dmesg|grep -i usb'
4. Plug Kinesis keyboard back in, additional output from 'dmesg|grep -i usb'
5. 'lsusb' output at this point
6. 'systemd-analyze blame'
7. 'uname -a'

Immediately after boot:
$ dmesg|grep -i usb
[ 0.220777] ACPI: bus type USB registered
[ 0.220786] usbcore: registered new interface driver usbfs
[ 0.220791] usbcore: registered new interface driver hub
[ 0.220802] usbcore: registered new device driver usb
[ 0.478834] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 1
[ 0.478954] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.478955] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.478956] usb usb1: Product: xHCI Host Controller
[ 0.478956] usb usb1: Manufacturer: Linux 3.19.0-23-generic xhci-hcd
[ 0.478957] usb usb1: SerialNumber: 0000:00:14.0
[ 0.479019] hub 1-0:1.0: USB hub found
[ 0.481098] xhci_hcd 0000:00:14.0: new USB bus registered, assigned bus number 2
[ 0.481119] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[ 0.481119] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.481120] usb usb2: Product: xHCI Host Controller
[ 0.481121] usb usb2: Manufacturer: Linux 3.19.0-23-generic xhci-hcd
[ 0.481122] usb usb2: SerialNumber: 0000:00:14.0
[ 0.481176] hub 2-0:1.0: USB hub found
[ 0.481831] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[ 0.481888] ehci-pci 0000:00:1a.0: new USB bus registered, assigned bus number 3
[ 0.497717] ehci-pci 0000:00:1a.0: USB 2.0 started, EHCI 1.00
[ 0.497733] usb usb3: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.497734] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.497735] usb usb3: Product: EHCI Host Controller
[ 0.497736] usb usb3: Manufacturer: Linux 3.19.0-23-generic ehci_hcd
[ 0.497737] usb usb3: SerialNumber: 0000:00:1a.0
[ 0.497808] hub 3-0:1.0: USB hub found
[ 0.497922] ehci-pci 0000:00:1d.0: new USB bus registered, assigned bus number 4
[ 0.513729] ehci-pci 0000:00:1d.0: USB 2.0 started, EHCI 1.00
[ 0.513749] usb usb4: New USB device found, idVendor=1d6b, idProduct=0002
[ 0.513750] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[ 0.513751] usb usb4: Product: EHCI Host Controller
[ 0.513751] usb usb...

John5788 (john5788) wrote :

I am seeing this same issue on two separate Z87 boards from Asus on Gentoo. It looks like the culprit is the Asmedia USB 3 controller, at least from my end.

Cutting power to the system and powering on allows the init sequence to complete normally. Upon reboot or regular power on, the device with ID 174c:2074 ASMedia Technology Inc. fails to load throwing the unable to enumerate USB device message in dmesg.

I started noticing this problem when I switched to a 4.0 kernel on Gentoo. Subscribing to follow up on this issue.

John5788 (john5788) wrote :

Another finding I'd like to share that temporarily "solves" this problem.

The Asus Z87 Maximus VI Formula board I have allows me to enable/disable USB controllers from the BIOS. I disabled the Asmedia USB3 controller and all the issues seem to go away:

1. laggy BIOS initialization
2. slow udev initialization
3. and USB devices not being available until after about 40-50 seconds after boot

Since the controller winds up "dead" on reboots or power cycles without power cut, any device I connect to those USB ports don't work anyway. There is no point for me to use them for any devices.

Fred (eldmannen+launchpad) wrote :

Thank you John5788!

I have a Asus Z87-Pro and suffered from this problem. After going into the UEFI setup screen and changing the four Asmedia 1074 ports to disabled the system now boots fine.

In the settings screen, they are under Advanced -> USB, and named as USB_ xxE with the suffix E.

Fred (eldmannen+launchpad) wrote :
John5788 (john5788) wrote :

Not sure if that one is directly related, the code lists a different device ID

+ if (pdev->vendor == PCI_VENDOR_ID_ASMEDIA &&
+ pdev->device == 0x1042)
+ xhci->quirks |= XHCI_BROKEN_STREAMS;
+

Here are some similar findings with the same device/problem:

https://forums.gentoo.org/viewtopic-p-7413396.html
https://bugzilla.kernel.org/show_bug.cgi?id=93681
https://rog.asus.com/forum/showthread.php?62279-Sabertooth-X99-Long-POST-Time-and-USB-issues-Possible-RMA
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=785494
http://www.tomshardware.com/answers/id-1767422/asus-z87-deluxe-usb-initialization-bug.html

I may have to backtrack to the last 3.x kernel and see where the difference is. I remember this problem popped up once Gentoo went amd64 stable on a 4.x kernel.

Olcay Korkmaz (olci) wrote :

same issue on msi gaming 7 mainboard z97

booting stuck with bios error code 99 then bios initialization waits for two minutes
sometimes asmedia usb ports will dead or show up with errors

only workaround for now cutting the power

Antonio Vicent (a-vicent) wrote :

Same issue on an Intel D54250WYK with a 3.19.0-26-generic kernel.
Please let me know if more information is needed.

Matt (jungleme3) wrote :

I have an ASRock Z87 Pro4, and I have this exact problem. The boot times are the same, cycling the PSU fixes the problem for the first boot, and disabling the USB ports fixes the problem indefinitely. I'll provide logs if anybody ever gets around to fixing this.

Olcay Korkmaz (olci) wrote :

I update the bios to latest beta for msi z97 gaming 7 and everything is normal with kernel 4.2/4.0.5 at gentoo
i think related fix is written at changelog Set "USB Precondition" default as disable

KjellKod (hedstrom) wrote :

I have an Asus UX31e, with exactly this problem. It was fine with Ubuntu 14 but after the upgrade to 15.04 it got this startu-up issue.

So far, downgrading looks like the only viable option...

Matt (jungleme3) wrote :

I accidentally stumbled upon a sort-of solution to my own problem. It seems that the Xen hypervisor handles USB the way it should be handled, so if you happen to have VT-d or SVM, installing Xen is an easy fix. Plus, you'll be able to run VMs natively, which is itself super cool.

I'm off to play with some VMs.

Dmitry Melnikov (dmitryme) wrote :

I have an Asus X99-S, with the same issue. Kernel 3.19.0-30-generic

Tristan Cormier (tristanc-3) wrote :

I am experiencing the same issue on Ubuntu 15.10 with Kernel 4.2.0-16-generic, on my MSI Z97 GAMING 9 AC. The only way to fix it for me so far was to disable the USB external power or something like that under Advanced Settings/USB.

Awesome Donkey (awesomedonkey) wrote :

Yep, happening here too with a MSI Z97 MPOWER Max AC with the latest 4.2 and 4.3 kernels...

[ 11.225438] usb 1-3: device descriptor read/all, error -110
[ 11.337524] usb 1-3: new high-speed USB device number 3 using xhci_hcd
[ 21.480411] usb 1-3: device descriptor read/all, error -110
[ 21.592532] usb 1-3: new high-speed USB device number 4 using xhci_hcd
[ 26.615914] usb 1-3: device descriptor read/8, error -110
[ 31.743439] usb 1-3: device descriptor read/8, error -110
[ 31.959689] usb 1-3: new high-speed USB device number 5 using xhci_hcd
[ 36.983086] usb 1-3: device descriptor read/8, error -110
[ 42.110574] usb 1-3: device descriptor read/8, error -110
[ 42.214694] usb usb1-port3: unable to enumerate USB device

Tristan, which USB setting exactly are you disabling? I only have 4 settings on my MSI board.

Tristan Cormier (tristanc-3) wrote :

The BIOS setting I modified is:
Settings->
    Advanced->
        USB Configuration->
            External USB Power Control [Disabled]

Awesome Donkey (awesomedonkey) wrote :

Unfortunately my MSI board lacks that feature, heh.

Nuno Subtil (nsubtil) wrote :

Adding my voice to the chorus. Same issues on an Asus X99-A motherboard. Makes the system *really* hard to use.

Mathieu M (fatal974) wrote :

With a MacbookPro12,1 (13 inches retina learly 2015), the same issue appears quite often, not always.
Sorry I'm not able to identify the context where the boot is not slowed by usb device descriptor errors ...

Larry Tate (cathect) wrote :

Ugh, finally found everyone with my issue!

The problem is present in Ubuntu 15.10.

I also have an X99-A motherboard. I just updated the BIOS to 2101 (11/26/15) but that did not help the issue.

Antonio Vicent (a-vicent) wrote :

For me the problem seems to have been resolved with Ubuntu 15.10 and kernel 4.2.0-23

Awesome Donkey (awesomedonkey) wrote :

It still happens to me.

Is there an open bug report we can follow on the kernel mailing list? If not, it might be worth posting there about this.

Changed in linux (Debian):
status: Unknown → New
Jens Ravesloot (jensravesloot) wrote :

I have the same problem. I have the Asus Maximus VII Hero (Z97) and the same errors occur. On my PC I have elementary OS 0.3.2 (based on Ubuntu 14.04) installed.
While booting with 'normal' bios setting and a USB3.0 HDD my keyboard and mouse (and basically all USB devices) stop working. When disabling the Intel xHCI Mode in the bios there is absolutely no problem. A friend of mine has an Asus Z97-A and he runs Arch and has exactly the same problem.

Update: I flashed my bios to the newest firmware (3003) and with xHCI enabled in the bios my USB3.0 HDD still doesn't work, but all my other devices don't have any problems.

Larry Tate (cathect) wrote :

After managing to log in, do you guys notice problems with Pulse audio or with Compiz themes?

If I try to book with certain devices connected, I get the slow boot but also my audio is nuked and my theming (folders, icons) are all reset to defaults.

When I unplug the offending devices and reboot all is well.

Jeff (jdgspam4me) wrote :

@Larry Tate:
I don't observe any Compiz or Pulse issues....
What are the specific devices triggering these issues for you?

Larry Tate (cathect) wrote :

@Jeff

I have an external sound card (Topping VX2). And also a CAD u37 usb microphone. When they are plugged into my machine, it hangs forever at the login screen and won't let me type into the password field. If I remove the devices, it immediately resolves the issue and I'm able to log in. However, after logging in I notice the problems with icons and themes I described above. Also, it seems to nuke my audio as no devices show up in Sound Settings.

On reboot I get usb error messages. But if I reboot without the devices plugged in, I boot normally and have proper theming and sound.

Larry Tate (cathect) wrote :

So now I think my problem is clearly the result of my Asus X99 motherboard.

I was researching the components of my new PC and discovered a lot of anecdotal complaints about boot failure during Post that seemed related to USB. I'm providing some of the links I discovered below in case anyone other than the few here who have mentioned that they have an ASUS motherboard.

Based on a comment on the last youtube video here, I disabled a lot of functions in the BIOS that related to the handoff to the OS. I am now able to boot and use my devices normally.

- https://www.youtube.com/watch?v=_av2DUQDE1A
- https://www.youtube.com/watch?v=cK23Jt6KJXs
- https://rog.asus.com/forum/showthread.php?78607-Asus-Confirmed-yesterday-that-X99-boards-has-boot-issues-with-Usb-Hubs-connected
- https://www.youtube.com/watch?v=A6SOdSeWSCM
- https://www.youtube.com/watch?v=2MDYUBp-1i4

- https://www.youtube.com/watch?v=A6SOdSeWSCM
* See comment from Alexandre Esquenet, how provides a solution here:

http://users.skynet.be/xixou/x99_usb_boot_issue.png

Olcay Korkmaz (olci) wrote :

hi

here is the update
custom build kernel 4.4 on gentoo and debian 8 with 3.16 there are no issues both systems work fine
but ubuntu from 14.04.3 to 16.04 have the problem

msi z97 gaming 7

I've been battling with this issue for a weeks now as well. Thought it was faulty hardware, but it only occurs when I do a warm reboot into my Linux system.

MSI z97 gaming 7
4.2.0-19-generic

I'm going to install 4.2.0-27 now and post any updates if it was resolved.

After a couple reboots, 4.2.0-27 seems to have fixed it.

Awesome Donkey (awesomedonkey) wrote :

I've found it still happens on 4.2.0-27.

However, I've been having better luck with the 4.5-rc kernels.

Frederick Chang (frdchang) wrote :

also have usb issues with 15.10 and asus x99e-ws.

get similar error messages as above:
[ 10.918992] usb 1-3: device descriptor read/all, error -110
[ 11.031084] usb 1-3: new high-speed USB device number 3 using xhci_hcd

consequence is that usb devices take a long time to be recognized.
takes a long time to enter the bios (the press f2 prompt for bios waits an abnormally long time)

a complete power down and bios reset fixes the issue temporarily. (no error message at boot up and fast usb device recognition) however this fix is intermittent.

there is only a keyboard and mouse plugged in the usb ports.

Serge Malo (serge-malo) wrote :

I see the same problem with 2 different m/b:
Asus X99-A and Asus Z97-A
I can see the problem with Kernels 3.16 and 3.19.

Does anyone have a work-around, such as changing USB parameters in the BIOS?

I also see that a complete power down temporarily fixes the issue.

Also woth noting: my Z97-A system has a dual-boot (Ubuntu/Windows). When I boot Windows after having been in Ubuntu, Windows has the same issue: it seems frozen for about 30s when booting.
But when I do a cold boot in Windows, and only reboot in Windows, I don't see the problem.

Fred (eldmannen+launchpad) wrote :

Serge Malo,
A workaround is to enter the BIOS, keep the built-in Intel USB enabled, but set the third-party ASMedia USB to disabled.

Awesome Donkey (awesomedonkey) wrote :

Since I switched to Arch because of this issue, I haven't encountered it since. Maybe it's a Ubuntu kernel issue?

Dave Allan (dave-b-allan) wrote :

Oooooooh! I was just logging in to register that this bug also affects me, and find there was a patch submitted yesterday! I'll try this out when I get a chance and report back.

Just FYI, this bug only affects me following booting from USB. To fix it, I have to disable the ASMedia USB ports from the BIOS, then re-enable them. Problem doesn't then surface until I boot from USB again (I assume booting from one of the ASMedia ports).

Larry Tate (cathect) wrote :

I don't have the competency (or courage) to try and apply a patch to my kernel. Is there any way of knowing when this will get released?

Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Vivid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Wily):
status: New → In Progress
Changed in linux (Ubuntu Xenial):
status: New → In Progress
Changed in linux (Ubuntu Yakkety):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Vivid):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Olcay Korkmaz (olci) wrote :

Hi,

I did test the patch with kernel as built from xenial's master-next repo
patch has been solved the issues no more boot lockups, usb resets and "error -110" doesn't shows up anymore on dmesg

msi z97gaming7 board working fine now

Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
tags: added: verification-needed-wily
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-wily' to 'verification-done-wily'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Kamal Mostafa (kamalmostafa) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (24.1 KiB)

This bug was fixed in the package linux - 4.4.0-25.44

---------------
linux (4.4.0-25.44) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591289

  * Xenial update to v4.4.13 stable release (LP: #1590455)
    - MIPS64: R6: R2 emulation bugfix
    - MIPS: math-emu: Fix jalr emulation when rd == $0
    - MIPS: MSA: Fix a link error on `_init_msa_upper' with older GCC
    - MIPS: Don't unwind to user mode with EVA
    - MIPS: Avoid using unwind_stack() with usermode
    - MIPS: Fix siginfo.h to use strict posix types
    - MIPS: Fix uapi include in exported asm/siginfo.h
    - MIPS: Fix watchpoint restoration
    - MIPS: Flush highmem pages in __flush_dcache_page
    - MIPS: Handle highmem pages in __update_cache
    - MIPS: Sync icache & dcache in set_pte_at
    - MIPS: ath79: make bootconsole wait for both THRE and TEMT
    - MIPS: Reserve nosave data for hibernation
    - MIPS: Loongson-3: Reserve 32MB for RS780E integrated GPU
    - MIPS: Use copy_s.fmt rather than copy_u.fmt
    - MIPS: Fix MSA ld_*/st_* asm macros to use PTR_ADDU
    - MIPS: Prevent "restoration" of MSA context in non-MSA kernels
    - MIPS: Disable preemption during prctl(PR_SET_FP_MODE, ...)
    - MIPS: ptrace: Fix FP context restoration FCSR regression
    - MIPS: ptrace: Prevent writes to read-only FCSR bits
    - MIPS: Fix sigreturn via VDSO on microMIPS kernel
    - MIPS: Build microMIPS VDSO for microMIPS kernels
    - MIPS: lib: Mark intrinsics notrace
    - MIPS: VDSO: Build with `-fno-strict-aliasing'
    - affs: fix remount failure when there are no options changed
    - ASoC: ak4642: Enable cache usage to fix crashes on resume
    - Input: uinput - handle compat ioctl for UI_SET_PHYS
    - ARM: mvebu: fix GPIO config on the Linksys boards
    - ARM: dts: at91: fix typo in sama5d2 PIN_PD24 description
    - ARM: dts: exynos: Add interrupt line to MAX8997 PMIC on exynos4210-trats
    - ARM: dts: imx35: restore existing used clock enumeration
    - ath9k: Add a module parameter to invert LED polarity.
    - ath9k: Fix LED polarity for some Mini PCI AR9220 MB92 cards.
    - ath10k: fix debugfs pktlog_filter write
    - ath10k: fix firmware assert in monitor mode
    - ath10k: fix rx_channel during hw reconfigure
    - ath10k: fix kernel panic, move arvifs list head init before htt init
    - ath5k: Change led pin configuration for compaq c700 laptop
    - hwrng: exynos - Fix unbalanced PM runtime put on timeout error path
    - rtlwifi: rtl8723be: Add antenna select module parameter
    - rtlwifi: btcoexist: Implement antenna selection
    - rtlwifi: Fix logic error in enter/exit power-save mode
    - rtlwifi: pci: use dev_kfree_skb_irq instead of kfree_skb in
      rtl_pci_reset_trx_ring
    - aacraid: Relinquish CPU during timeout wait
    - aacraid: Fix for aac_command_thread hang
    - aacraid: Fix for KDUMP driver hang
    - hwmon: (ads7828) Enable internal reference
    - mfd: intel-lpss: Save register context on suspend
    - mfd: intel_soc_pmic_core: Terminate panel control GPIO lookup table
      correctly
    - PM / Runtime: Fix error path in pm_runtime_force_resume()
    - cpuidle: Indicate when a device has been unregiste...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Olcay Korkmaz (olci) wrote :

linux-package 4.4.0-25.44-proposed solves the problem

tags: added: verification-done-vivid verification-done-wily verification-done-xenial
removed: verification-needed-vivid verification-needed-wily verification-needed-xenial
Dave Allan (dave-b-allan) wrote :

This patch doesn't seem to work for me in wily (Ubuntu 14.04.4). I've tried both applying the patch to the current wily source (4.2.0-38.45) and also compiling the master-next source for wily. Neither solves the problem of the USB initialisation delay.

The patch integrates successfully and the kernel compiles fine. I've also checked to ensure the correct (modified) USB options are enabled in the kernel config. I wonder if there's something relatively obvious I'm not doing?

Launchpad Janitor (janitor) wrote :
Download full text (26.1 KiB)

This bug was fixed in the package linux - 4.4.0-28.47

---------------
linux (4.4.0-28.47) xenial; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595874

  * Linux netfilter local privilege escalation issues (LP: #1595350)
    - netfilter: x_tables: don't move to non-existent next rule
    - netfilter: x_tables: validate targets of jumps
    - netfilter: x_tables: add and use xt_check_entry_offsets
    - netfilter: x_tables: kill check_entry helper
    - netfilter: x_tables: assert minimum target size
    - netfilter: x_tables: add compat version of xt_check_entry_offsets
    - netfilter: x_tables: check standard target size too
    - netfilter: x_tables: check for bogus target offset
    - netfilter: x_tables: validate all offsets and sizes in a rule
    - netfilter: x_tables: don't reject valid target size on some architectures
    - netfilter: arp_tables: simplify translate_compat_table args
    - netfilter: ip_tables: simplify translate_compat_table args
    - netfilter: ip6_tables: simplify translate_compat_table args
    - netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - netfilter: x_tables: do compat validation via translate_table
    - netfilter: x_tables: introduce and use xt_copy_counters_from_user

  * Linux netfilter IPT_SO_SET_REPLACE memory corruption (LP: #1555338)
    - netfilter: x_tables: validate e->target_offset early
    - netfilter: x_tables: make sure e->next_offset covers remaining blob size
    - netfilter: x_tables: fix unconditional helper

linux (4.4.0-27.46) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1594906

  * Support Edge Gateway's Bluetooth LED (LP: #1512999)
    - Revert "UBUNTU: SAUCE: Bluetooth: Support for LED on Marvell modules"

linux (4.4.0-26.45) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1594442

  * linux: Implement secure boot state variables (LP: #1593075)
    - SAUCE: UEFI: Add secure boot and MOK SB State disabled sysctl

  * failures building userspace packages that include ethtool.h (LP: #1592930)
    - ethtool.h: define INT_MAX for userland

linux (4.4.0-25.44) xenial; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591289

  * Xenial update to v4.4.13 stable release (LP: #1590455)
    - MIPS64: R6: R2 emulation bugfix
    - MIPS: math-emu: Fix jalr emulation when rd == $0
    - MIPS: MSA: Fix a link error on `_init_msa_upper' with older GCC
    - MIPS: Don't unwind to user mode with EVA
    - MIPS: Avoid using unwind_stack() with usermode
    - MIPS: Fix siginfo.h to use strict posix types
    - MIPS: Fix uapi include in exported asm/siginfo.h
    - MIPS: Fix watchpoint restoration
    - MIPS: Flush highmem pages in __flush_dcache_page
    - MIPS: Handle highmem pages in __update_cache
    - MIPS: Sync icache & dcache in set_pte_at
    - MIPS: ath79: make bootconsole wait for both THRE and TEMT
    - MIPS: Reserve nosave data for hibernation
    - MIPS: Loongson-3: Reserve 32MB for RS780E integrated GPU
    - MIPS: Use copy_s.fmt rather than copy_u.fmt
    - MIPS: Fix MSA ld_*/st_* asm macros to use PTR_ADDU
    - MIPS: Prevent "restoration" of MSA c...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.4 KiB)

This bug was fixed in the package linux - 4.2.0-41.48

---------------
linux (4.2.0-41.48) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595914

  [ Upstream Kernel Changes ]

  * netfilter: x_tables: validate e->target_offset early
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: make sure e->next_offset covers remaining blob
    size
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: fix unconditional helper
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: don't move to non-existent next rule
    - LP: #1595350
  * netfilter: x_tables: validate targets of jumps
    - LP: #1595350
  * netfilter: x_tables: add and use xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: kill check_entry helper
    - LP: #1595350
  * netfilter: x_tables: assert minimum target size
    - LP: #1595350
  * netfilter: x_tables: add compat version of xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: check standard target size too
    - LP: #1595350
  * netfilter: x_tables: check for bogus target offset
    - LP: #1595350
  * netfilter: x_tables: validate all offsets and sizes in a rule
    - LP: #1595350
  * netfilter: x_tables: don't reject valid target size on some
    architectures
    - LP: #1595350
  * netfilter: arp_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip6_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - LP: #1595350
  * netfilter: x_tables: do compat validation via translate_table
    - LP: #1595350
  * netfilter: x_tables: introduce and use xt_copy_counters_from_user
    - LP: #1595350

linux (4.2.0-40.47) wily; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1595725

  [ Serge Hallyn ]

  * SAUCE: add a sysctl to disable unprivileged user namespace unsharing
    - LP: #1555338, #1595350

linux (4.2.0-39.46) wily; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591301

  [ J. R. Okajima ]

  * SAUCE: AUFS: mm/mmap: fix oopsing on remap_file_pages aufs mmap:
    bugfix, mainly for linux-4.5-rc5, remap_file_pages(2) emulation
    - LP: #1558120

  [ Kamal Mostafa ]

  * [debian] getabis: Only git add $abidir if running in local repo
    - LP: #1584890
  * [debian] getabis: Fix inconsistent compiler versions check
    - LP: #1584890

  [ Tim Gardner ]

  * Revert "SAUCE: mm/mmap: fix oopsing on remap_file_pages"
    - LP: #1558120
  * [Config] Remove arc4 from nic-modules
    - LP: #1582991

  [ Upstream Kernel Changes ]

  * Revert "usb: hub: do not clear BOS field during reset device"
    - LP: #1582864
  * hpsa: move lockup_detected attribute to host attr
    - LP: #1581169
  * ALSA: timer: Fix leak in SNDRV_TIMER_IOCTL_PARAMS
    - LP: #1580379
    - CVE-2016-4569
  * ALSA: timer: Fix leak in events via snd_timer_user_ccallback
    - LP: #1581866
    - CVE-2016-4578
  * ALSA: timer: Fix leak in events via snd_timer_user_tinterrupt
    - LP: #1581866
    - CVE-2016-4578
  * net: fix a kernel inf...

Read more...

Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.2 KiB)

This bug was fixed in the package linux - 3.19.0-64.72

---------------
linux (3.19.0-64.72) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1595976

  [ Upstream Kernel Changes ]

  * netfilter: x_tables: validate e->target_offset early
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: make sure e->next_offset covers remaining blob
    size
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: fix unconditional helper
    - LP: #1555338
    - CVE-2016-3134
  * netfilter: x_tables: don't move to non-existent next rule
    - LP: #1595350
  * netfilter: x_tables: validate targets of jumps
    - LP: #1595350
  * netfilter: x_tables: add and use xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: kill check_entry helper
    - LP: #1595350
  * netfilter: x_tables: assert minimum target size
    - LP: #1595350
  * netfilter: x_tables: add compat version of xt_check_entry_offsets
    - LP: #1595350
  * netfilter: x_tables: check standard target size too
    - LP: #1595350
  * netfilter: x_tables: check for bogus target offset
    - LP: #1595350
  * netfilter: x_tables: validate all offsets and sizes in a rule
    - LP: #1595350
  * netfilter: x_tables: don't reject valid target size on some
    architectures
    - LP: #1595350
  * netfilter: arp_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: ip6_tables: simplify translate_compat_table args
    - LP: #1595350
  * netfilter: x_tables: xt_compat_match_from_user doesn't need a retval
    - LP: #1595350
  * netfilter: x_tables: do compat validation via translate_table
    - LP: #1595350
  * netfilter: x_tables: introduce and use xt_copy_counters_from_user
    - LP: #1595350

linux (3.19.0-63.71) vivid; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1595723

  [ Serge Hallyn ]

  * SAUCE: add a sysctl to disable unprivileged user namespace unsharing
    - LP: #1555338, #1595350

linux (3.19.0-62.70) vivid; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1591307

  [ Kamal Mostafa ]

  * [debian] getabis: Only git add $abidir if running in local repo
    - LP: #1584890
  * [debian] getabis: Fix inconsistent compiler versions check
    - LP: #1584890

  [ Tim Gardner ]

  * [Config] Remove arc4 from nic-modules
    - LP: #1582991

  [ Upstream Kernel Changes ]

  * Revert "usb: hub: do not clear BOS field during reset device"
    - LP: #1582864
  * ALSA: timer: Fix leak in SNDRV_TIMER_IOCTL_PARAMS
    - LP: #1580379
    - CVE-2016-4569
  * ALSA: timer: Fix leak in events via snd_timer_user_ccallback
    - LP: #1581866
    - CVE-2016-4578
  * ALSA: timer: Fix leak in events via snd_timer_user_tinterrupt
    - LP: #1581866
    - CVE-2016-4578
  * net: fix a kernel infoleak in x25 module
    - LP: #1585366
    - CVE-2016-4580
  * get_rock_ridge_filename(): handle malformed NM entries
    - LP: #1583962
    - CVE-2016-4913
  * tipc: check nl sock before parsing nested attributes
    - LP: #1585365
    - CVE-2016-4951
  * netfilter: Set /proc/net entries owner to root in namespace
    - L...

Read more...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released

I had to post this somewhere. After screwing with damn near every distribution I could find and failing on every one for various reasons I discovered that my shit USB card reader was to blame for almost every issue I have been having. I haven't been able to I stall any distribution and after disconnecting the card reader I can now I stall whatever I want. Hope this helps someone.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.